################################################################################
# this is used for compile the user defined oc demo
################################################################################

#if you have defined multiple demos by yourself, modify this file to compile the chosen demo.

#example for mqtt


	#example for oc_infrared_template
	ifeq ($(CONFIG_USER_DEMO), "oc_infusion_demo")	
		user_demo_src  = ${wildcard $(TARGET_DIR)/Demos/oc_infusion_demo/*.c}
		user_demo_inc = -I $(TARGET_DIR)/Demos/oc_infusion_demo
		user_hardware_src = ${wildcard $(TARGET_DIR)/Hardware/E53_SC1/*.c} 
		user_hardware_inc = -I ${wildcard $(TARGET_DIR)/Hardware/E53_SC1}
		user_demo_defs = -D CONFIG_OC_INFUSION_ENABLE=1
		
	endif

	C_SOURCES += $(user_demo_src)
	C_INCLUDES += $(user_demo_inc)
	C_SOURCES += $(user_hardware_src)
	C_INCLUDES += $(user_hardware_inc)
	C_DEFS += $(user_demo_defs)
